require 'dingus'
require 'thor'
require 'yaml'

module Dingus
  CONFIGURATION_PATH = "#{Dir.home}/.config/dingus/"
  class CLI < Thor
    desc "setup ENVIRONMENT", "Setup environment variables for an specific environment configuration"
    def setup(environment_name)
      file_path = File.join(CONFIGURATION_PATH, "#{environment_name}.yaml")
      environment = YAML.load_file(file_path)
      environment.each do |key, value|
        puts %Q{set -gx #{key} "#{value}"}
      end
    end
  end
end
